Transactional SMS
Query message dispatch history
GET
Returns recent dispatched messages within an optional date-time range (up to 100 entries).
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
from?stringFilter messages dispatched on or after this timestamp
Format
date-timeto?stringFilter messages dispatched on or before this timestamp
Format
date-timelimit?integerMaximum number of records to return
Range
value <= 100Default
50List of recent dispatched SMS records
application/json- response
status?stringdata?array<>curl -X GET 'https://api.smspro.com/api/v1/public/sms/history'Example Response
{ "status": "string", "data": [ { "id": "string", "to": "string", "message": "string", "status": "string", "deliveryStatus": "string", "senderId": "string", "segmentCount": 0, "sentAt": "2019-08-24T14:15:22Z" } ]}